Supported imageRUNNER Devices

IMPORTANT: A PostScript controller is required for BrightQ to work with any of these devices.


are newly added or updated device models in the 2.5.8 release of BrightQ™ Pro.

The installable options are not currently available for this device at this time. However the user can manually select the correct finishing options that are currently installed and output correctly. Be aware that users have the ability to manually select finishing options not supported with their device configuration. If a selection is made that is not available on the device, a conflict message may be displayed.


Questions? Reach us at: +1 (213) 254-2000 or